from importlib.machinery import SourceFileLoader as _SourceFileLoader
from importlib.util import spec_from_loader as _spec_from_loader, module_from_spec as _module_from_spec
class func:
    pass

def _load_functions(path):
    global _SourceFileLoader, _spec_from_loader, _module_from_spec, func
    loader = _SourceFileLoader('func', path)
    spec = _spec_from_loader(loader.name, loader)
    func_ = _module_from_spec(spec)
    loader.exec_module(func_)
    for function in dir(func_):
        if function.startswith('_'):
            continue
        setattr(func, function, getattr(func_, function))
_load_functions('tests/dictionaries/../eosfunc/test.py')
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_1 = UsernameOption(name="owner", doc="owner", default="example", properties=frozenset({"mandatory", "normal"}))
option_2 = UsernameOption(name="group", doc="group", default="example", properties=frozenset({"mandatory", "normal"}))
optiondescription_13 = OptionDescription(name="rougail", doc="Rougail", children=[option_1, option_2])
option_7 = FilenameOption(name="authority", doc="authority", default="/etc/pki/ca-trust/source/anchors/ca_example.crt")
option_8 = SymLinkOption(name="group", opt=option_2)
option_9 = FilenameOption(name="name", doc="name", default="/etc/pki/tls/certs/example.crt")
option_10 = SymLinkOption(name="owner", opt=option_1)
option_11 = FilenameOption(name="private", doc="private", default="/etc/pki/tls/private/example.key")
option_6 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_5 = OptionDescription(name="/etc/pki/tls/certs/example_crt", doc="/etc/pki/tls/certs/example.crt", children=[option_7, option_8, option_9, option_10, option_11, option_6])
optiondescription_4 = OptionDescription(name="certificates", doc="certificates", children=[optiondescription_5])
option_3 = BoolOption(name="activate", doc="activate", default=True)
option_12 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_15 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_4, option_3, option_12])
optiondescription_15.impl_set_information('type', "service")
optiondescription_14 = OptionDescription(name="services", doc="services", children=[optiondescription_15], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_13, optiondescription_14])
